#!/bin/sh
echo 'name: snap-core
version: 0.9.3.1
id: snap-core-0.9.3.1-a004e013d44323bd34d5658ca5c61ca2

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
synopsis: Snap: A Haskell Web Framework (core interfaces and types)
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core",
             some iteratee utilities are in "Snap.Iteratee".
category: Web, Snap
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Core Snap.Types Snap.Iteratee
                 Snap.Internal.Debug Snap.Internal.Exceptions
                 Snap.Internal.Http.Types Snap.Internal.Iteratee.Debug
                 Snap.Internal.Parsing Snap.Test Snap.Types.Headers
                 Snap.Util.FileServe Snap.Util.FileUploads Snap.Util.GZip
                 Snap.Util.Proxy Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool
                Snap.Internal.Parsing.FastSet Snap.Internal.Routing
                Snap.Internal.Types Snap.Internal.Test.RequestBuilder
                Snap.Internal.Test.Assertions
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/snap-core-0.9.3.1
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/snap-core-0.9.3.1
              /usr/local/lib
hs-libraries: HSsnap-core-0.9.3.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.5.1-04fafbcfa793ac20134c5b9972485d17
         MonadCatchIO-transformers-0.3.0.0-3d9f2598a492284fcb08e73b1981b4a4
         attoparsec-0.10.4.0-dbd6937f542b517f5587aeb94985f872
         attoparsec-enumerator-0.3.1-bdc7b2ba4fbec2d544d29f75fb95bedf
         base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         blaze-builder-0.3.1.0-1855bb99119d8e7c606c07ea08256a63
         blaze-builder-enumerator-0.2.0.5-b94ed5e47079d7dfc92d75eb9131ddea
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         case-insensitive-1.0-a1f9a7d5050f2f511bb18e24854919c3
         containers-0.4.2.1-efa59805336a77490296ae3897cecb87
         deepseq-1.3.0.0-c8a9e8b538aecb7581533b9c1d19faed
         directory-1.1.0.2-0d703b400bafcc2a2ca486a922be0178
         enumerator-0.4.19-54652fc37c21c9ff6bc4aced898d00e5
         filepath-1.3.0.0-954c43b4f109cbd4121f1231c14d5cff
         mtl-2.1.2-cf6082d8d4c6758d23401302efadd028
         old-locale-1.0.0.4-b1d945ebea59a524cba400a524cb40aa
         random-1.0.1.1-fb8963ffa6ffa7a0a448fb912ed467a3
         regex-posix-0.95.2-d9fe86a76ffc5af4d3ed783956717b13
         text-0.11.2.3-366962ac4488fc093d5aed19e281b055
         time-1.4-b8e1c3d423daa1e2c5470a82caf23b52
         unix-compat-0.4.1.0-b0484afffb8780960cf8e0523f28f06f
         unordered-containers-0.2.3.0-2418b77932f7b961dfa1314968c1e9ff
         vector-0.10.0.1-fdf8e0c3f3c1cae1113ab97c34aa5c14
         zlib-enum-0.2.3-56b405d51444a2d1ed61729597e82c05
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/snap-core-0.9.3.1/html/snap-core.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/snap-core-0.9.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
